import random
import math

mean1 = random.uniform(0, 50)
std1 = random.uniform(0.1, 1)
file1 = open("rand1.txt", "w")

for i in range(20):
    num = round(random.normalvariate(mean1, std1),2)
    file1.write(f"{num}")
    if i < 19:
        file1.write(" ")

file1.close()

# Создание второго файла  
mean2 = random.uniform(0, 50)
std2 = random.uniform(0.1, 1)
file2 = open("rand2.txt", "w")

for i in range(20):
    num = round(random.normalvariate(mean2, std2),2)
    file2.write(f"{num}")
    if i < 19:
        file2.write(" ")

file2.close()
import M1
import M2

def main():
    file1 = input("Введите имя первого файла: ")
    file2 = input("Введите имя второго файла: ")
    
    list1 = M1.f(file1)
    list2 = M1.f(file2)
    correlation = M2.correlation(list1, list2)
    
    print(f"Парный коэффициент корреляции: {correlation:.3f}")

main()
